Bug 663657 - dnsmasq(8) man page corrections
dnsmasq(8) man page corrections
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: dnsmasq (Show other bugs)
rawhide
All All
low Severity low
: ---
: ---
Assigned To: Douglas Schilling Landgraf
Fedora Extras Quality Assurance
: EasyFix, ManPageChange, Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-16 09:27 EST by John Bradshaw
Modified: 2012-04-20 08:51 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-20 08:51:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dnsmasq(8) patch (1.59 KB, patch)
2010-12-22 12:14 EST, John Bradshaw
no flags Details | Diff

  None (edit)
Description John Bradshaw 2010-12-16 09:27:49 EST
Description of problem:
Spelling errors in dnsmasq(8) man page

Version-Release number of selected component (if applicable):
dnsmasq-2.45-1.1.el5_3

How reproducible:
Always

Steps to Reproduce:
man 8 dnsmasq
/usr/share/man/man8/dnsmasq.8.gz
  
Actual results:
Wrong spelling

Expected results:
Correct spelling

Additional info:
diff dnsmasq.8 dnsmasq_fixed
49c49
< that the requestor should not itself cache the information. This is
---
> that the requester should not itself cache the information. This is
264c264
< the server which answers first will be returned to the original requestor.
---
> the server which answers first will be returned to the original requester.
450c450
< allowable to ommit the hardware address and include the hostname, in
---
> allowable to omit the hardware address and include the hostname, in
Comment 1 John Bradshaw 2010-12-22 12:14:04 EST
Created attachment 470266 [details]
dnsmasq(8) patch
Comment 2 Ondrej Vasik 2011-03-09 15:31:55 EST
Moving this bug to Fedora as agreed with the reporter. I apologize if the manpage typo/grammar error was already fixed in version included in the Fedora, if that's the case, feel free to close the bug.
Comment 3 Fedora Admin XMLRPC Client 2011-08-22 14:31:03 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Douglas Schilling Landgraf 2011-08-26 17:33:27 EDT
Hello John,

     Thanks for the patch, I am going to apply it. 
However, have you ever tried to submit the patch to upstream? 

http://lists.thekelleys.org.uk/mailman/listinfo/dnsmasq-discuss

I am updating the dnsmasq to a newer version (2.58) in Fedora and noticed that they still have this typo in upstream. 

Cheers
Douglas
Comment 5 Douglas Schilling Landgraf 2011-08-28 14:22:29 EDT
Hi,

Sent the patch to upstream for review before include to the package:
http://lists.thekelleys.org.uk/pipermail/dnsmasq-discuss/2011q3/005208.html

Cheers
Douglas
Comment 6 Michal Hlavinka 2011-08-29 03:06:47 EDT
Changing component back to dnsmasq (it's known bugzilla bug)
Comment 7 John Bradshaw 2011-08-29 18:40:42 EDT
Hi Douglas,
Wasn't aware of the upstream, thanks for submitting it there.
J.
Comment 8 Douglas Schilling Landgraf 2012-04-20 08:51:00 EDT
Hi John, 

    As the dnsmasq author shared, your patch is available in the version 2.59. Fedora currently ships 2.59 version, so I am closing this bz for now.

Feel free to re-open it in case of any problem.

Thanks!

Note You need to log in before you can comment on or make changes to this bug.